package org.project.item.consumables;

import org.project.entity.Entity;
import org.project.item.Item;

public class Flask implements Item {

    @Override
    public void use(Entity target) {
        int healAmount = target.getMaxHP() /10;
        target.heal(healAmount);
        target.fillMana(10);
        System.out.println("\u001B[32m Flask used! Healed " + healAmount + "HP and restored 10 mana! \u001B[0m");
    }
}
